<main>
    <div class="container">
      <div class="loading-shade" *ngIf="isLoadingResults">
        <mat-spinner *ngIf="isLoadingResults"></mat-spinner>
      </div>
      <div class="button-row">
        <button mat-flat-button color="primary" [routerLink]="['/produtos']">
          <mat-icon>arrow_back</mat-icon> Voltar
        </button>
      </div>
      <mat-card class="product-card">
        <span class="product-image">
          <img src="{{produto.pictureUrl}}" alt="{{produto.name}}">
        </span>
        <mat-card-title>
          <h2>{{produto.name}}</h2>
        </mat-card-title>
        <mat-card-subtitle>{{produto.description}}</mat-card-subtitle>
        <mat-card-content>
          <span class="product-price">Preço: {{produto.price | currency: 'BRL'}}</span>
        </mat-card-content>
      </mat-card>
    </div>
</main>
